function main()
{
  var app = System.GetInterface('Application');
  var Model = app.Models.GetObject(0);
  var Generator = Model.Root().DefaultCodeGenerator;
  var GlobalOrderList = Generator.CreateGlobalOrderList();
  var e, Entity;
  var EntityList = new Array();
  Model.Lock();
  for (e=0; e<Model.Entities.Count; e++)
  {
    Entity = Model.Entities.GetObject(e);
    EntityList[e] = new Array();
    EntityList[e][0] = Entity.FullName;
    EntityList[e][1] = Entity;    
  }
  EntityList = SortArray(EntityList);
  for (e=0; e<EntityList.length; e++)
  {
    Entity = EntityList[e][1];
    Entity.GlobalOrder = e+1;
  }

  //reorder other objects
  for (e=0; e<GlobalOrderList.Count; e++ )
    if (GlobalOrderList.GetObject(e).ObjectType != 2002) //not Entity
      GlobalOrderList.GetObject(e).GlobalOrder = EntityList.length+e+1;

  Model.UnLock();  
}

function SortArray(ArrayList)
{
  var i, j, temp, count;

  count = ArrayList.length; 
  for(i=1; i<count; i++)
  {
    for(j=0; j<count-i; j++)
    {
      if(ArrayList[j][0]>ArrayList[j+1][0])
      {
        temp=ArrayList[j];
        ArrayList[j]=ArrayList[j+1];
        ArrayList[j+1]=temp;
      }
    }
  }
  return ArrayList;
}
